﻿topicarray["d51325b85e415e06085f9a31152d93ca"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eCalculating orientations (ORISOLH)\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe predefined ORISOLH function helps the user to set the rotary axis positions of a machine so that a turning tool can be brought into a defined, kinematic-independent position relative to the workpiece. Prerequisite is that a 6-axis transformation is active that has been parameterized with kinematic chains.\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eORISOLH\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTwo basic functions are available:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eTool alignment\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe β and γ angles are specified. The function calculates the angles of the three orientation axes required for this.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eDirect tool alignment\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe angles of the second and third orientation axes are specified. The function calculates the associated β and γ angles as well as that of the missing first orientation axis.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eOrder of the orientation axes\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf you run through the kinematic chain that describes the structure of the machine, from the workpiece to the tool, then the following specifications apply for the order of the three orientation axes of a 6-axis transformation:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe orientation axis that is closest to the \u003c/span\u003e\u003cspan class=\"b\"\u003eworkpiece\u003c/span\u003e\u003cspan\u003e is the \u003c/span\u003e\u003cspan class=\"b\"\u003efirst\u003c/span\u003e\u003cspan\u003e orientation axis.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe orientation axis that is closest to the \u003c/span\u003e\u003cspan class=\"b\"\u003etool\u003c/span\u003e\u003cspan\u003e is the \u003c/span\u003e\u003cspan class=\"b\"\u003ethird\u003c/span\u003e\u003cspan\u003e orientation axis.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eGenerally, the first orientation axis is a spindle and the corresponding rotation is therefore implemented in these cases through a rotating frame.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSyntax\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p floating-text p-code\"\u003e\u003cspan\u003e\u0026lt;RetVal\u0026gt; = ORISOLH(\u0026lt;Cntrl\u0026gt;,\u0026lt;W1\u0026gt;,\u0026lt;W2\u0026gt;)\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.0%\" /\u003e\u003ccol width=\"17.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"7.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"60.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eORISOLH\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFunction call\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"20\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;RetVal\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFunction return value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData type:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eINT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0, -2, -3, ..., -17\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"17\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFunction has ended without an error.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNo valid transformation (6-axis orientation transformation) is active.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first parameter (\u0026lt;Cntrl\u0026gt;) is negative.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe unit position of the first parameter (\u0026lt;Cntrl\u0026gt;) is invalid.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOnly the values 0 and 1 are permissible.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe tens position of the first parameter (\u0026lt;Cntrl\u0026gt;) is invalid.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOnly the values 0 to 3 are permissible.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe hundreds position of the first parameter (\u0026lt;Cntrl\u0026gt;) is invalid.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOnly the values 0 and 1 are permissible.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe thousands position of the first parameter (\u0026lt;Cntrl\u0026gt;) is invalid.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOnly the values 0 to 3 are permissible.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAngle γ is too large for the \"Direct tool alignment\" function.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAt least one of the specified axis positions violates an axis limit for the \"Direct tool alignment\" function.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNo tool is active.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe requested orientation cannot be set.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe adaptation of the free axis angle for the Hirth joint is not possible for the first or only solution.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe adaptation of the free axis angle for the Hirth joint is not possible for the second solution.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe adaptation of the free axis angle for the Hirth joint is not possible for either of the two solutions.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first orientation axis is parameterized as Hirth axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-16\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe second as well as the third rotary axis has been parameterized as Hirth axis. Only one of the two axes can be the Hirth axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-17\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAt least one of the specified axis positions is not compatible with the associated Hirth joint for the \"Swivel directly\" function.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"18\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;Cntrl\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eControls the behavior of the function\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData type:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eINT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe \u0026lt;Cntrl\u0026gt; parameter is decimal coded (unit to thousands position):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eUnit position:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe unit position controls the response to errors.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003exxx\u003c/span\u003e\u003cspan class=\"b\"\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIn the event of an error (return value \u0026lt; 0), alarm 14106 is output and program processing is aborted.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eNote:\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003eThe alarm is also output irrespective of the value of the unit position when the \u0026lt;Cntrl\u0026gt; parameter is negative.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003exxx\u003c/span\u003e\u003cspan class=\"b\"\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIn the event of an error (return value \u0026lt; 0) \u003c/span\u003e\u003cspan class=\"b\"\u003eno\u003c/span\u003e\u003cspan\u003e alarm is output. The user can react suitably in the program.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eTens position:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eControls the behavior when an orientation axis with Hirth joint is present.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eNote:\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003eThis parameter is only evaluated for the \"Tool alignment\" function (i.e. when the hundreds position has the value \"0\").\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003exx\u003c/span\u003e\u003cspan class=\"b\"\u003e0\u003c/span\u003e\u003cspan\u003ex\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe axis position is rounded off to the nearest position.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003exx\u003c/span\u003e\u003cspan class=\"b\"\u003e1\u003c/span\u003e\u003cspan\u003ex\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe axis positions are rounded off so that the difference of the β angle to its programmed value is minimal.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003exx\u003c/span\u003e\u003cspan class=\"b\"\u003e2\u003c/span\u003e\u003cspan\u003ex\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe axis positions are rounded off so that the β angle is equal to the highest possible value which is less than the programmed value (β is rounded down).\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003exx\u003c/span\u003e\u003cspan class=\"b\"\u003e3\u003c/span\u003e\u003cspan\u003ex\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe axis positions are rounded off so that the β angle is equal to the lowest possible value which is greater than the programmed value (β is rounded up).\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHundreds position:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSpecifies which function is to be executed or the significance of the two following parameters \u0026lt;W1\u0026gt; and \u0026lt;W2\u0026gt;.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003ex\u003c/span\u003e\u003cspan class=\"b\"\u003e0\u003c/span\u003e\u003cspan\u003exx\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\"Tool alignment\" function\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eParameters \u0026lt;W1\u0026gt; and \u0026lt;W2\u0026gt; have the following meaning:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e\u0026lt;W1\u0026gt; = β\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e\u0026lt;W2\u0026gt; = γ \u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe associated angles of the orientation axes are calculated.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003ex\u003c/span\u003e\u003cspan class=\"b\"\u003e1\u003c/span\u003e\u003cspan\u003exx\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\"Direct tool alignment\" function\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;W1\u0026gt; is the position specification for the second orientation axis, \u0026lt;W2\u0026gt; is the position specification for the third orientation axis of a 6-axis transformation. The position of the first orientation axis and the β and γ angles are defined which are compatible with the two position specifications.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIf no error occurs, two solutions are always output in the $P_ORI_POS[\u0026lt;n\u0026gt;, \u0026lt;m\u0026gt;] system variables. The first index \u0026lt;n\u0026gt; (0 or 1) refers to the solution and the second index \u0026lt;m\u0026gt; (0 ... 2) to the orientation axis:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e$P_ORI_POS[0/1, \u003c/span\u003e\u003cspan class=\"b\"\u003e0\u003c/span\u003e\u003cspan\u003e]: Position of the first orientation axis\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e$P_ORI_POS[0/1, \u003c/span\u003e\u003cspan class=\"b\"\u003e1\u003c/span\u003e\u003cspan\u003e]: Angle β\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e$P_ORI_POS[0/1, \u003c/span\u003e\u003cspan class=\"b\"\u003e2\u003c/span\u003e\u003cspan\u003e]: Angle γ\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eA check is made as to whether the position specifications \u0026lt;W1\u0026gt; and \u0026lt;W2\u0026gt; are compatible with any Hirth joints or active software limits. If this is not the case, a corresponding error number is returned (see \u0026lt;RetVal\u0026gt; parameter).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIf the angles \u0026lt;W1\u0026gt; and \u0026lt;W2\u0026gt; are selected arbitrarily, the cutting edge of the tool is generally not in the machining plane. The angle γ through which the cutting edge is rotated out of the machining plane, must not be greater than the limit value which is defined by the setting data SD42999 $SC_ORISOLH_INCLINE_TOL.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThousands position:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSpecifies which positions of the solutions may be modified when the hundreds position has the value \"0\", i.e. for the \"Tool alignment\" function.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan class=\"b\"\u003e0\u003c/span\u003e\u003cspan\u003exxx\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe calculated axis positions should be as close as possible to the current machine axis positions.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan class=\"b\"\u003e1\u003c/span\u003e\u003cspan\u003exxx\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe calculated axis positions for modulo axes should be as close as possible to the middle of the modulo range, for other axes as close as possible to 0. For non-modulo axes, this means that the axis positions are reduced to the range -180° … +180°.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan class=\"b\"\u003e2\u003c/span\u003e\u003cspan\u003exxx\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe calculated axis positions should be reduced to the range -180° … +180° irrespective of the axis type.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;W1\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFirst angle\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe meaning results from the hundreds position of the \u0026lt;Cntrl\u0026gt; paramter.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData type:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eREAL\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;W1\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSecond angle\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe meaning results from the hundreds position of the \u0026lt;Cntrl\u0026gt; paramter.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData type:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eREAL\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eParameters that have not been programmed have the default value \"0\".\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eFurther information\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe number of solutions found together with further status information when executing the ORISOLH function, can be read via the following system variables:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"18.5%\" /\u003e\u003ccol width=\"7.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"6.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"6.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"6.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"6.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"48.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eSystem variable\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd rowspan=\"7\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e$P_ORI_POS\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e[\u0026lt;n\u0026gt;, \u0026lt;m\u0026gt;]\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e$P_ORI_POS\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eReturns the angles of the orientation axes that result from the orientation programming.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;n\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIndex of the solution \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0, 1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;m\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIndex of the orientation axis\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0 ... 2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe order of the orientation axes (1 ... 3) refers to the definition of the axes in $NT_ROT_AX_NAME.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eWhen the ORISOLH function is called in the \"Direct tool alignment\" mode, the $P_ORI_POS[0/1, 1] and P_ORI_POS[0/1, 2] variables contain the values of the two angles β and γ belonging to the two solutions.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first solution entered in $P_ORI_POS[\u0026lt;n\u0026gt;, \u0026lt;m\u0026gt;], i.e. with the index \u0026lt;n\u0026gt; = 0, is always the solution that is selected by the control when the requested orientation is approached directly. The second index \u0026lt;m\u0026gt; refers to the orientation axis, i.e. on $NT_ROT_AX_NAME.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe axis positions entered in $P_ORI_POS[\u0026lt;n\u0026gt;, \u0026lt;m\u0026gt;] take into account the offsets entered in $NK_OFF and $NK_OFF_FINE, i.e. these axis angles can be used in the following blocks to set the required orientation without any further modification.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIf a rotary axis is a Hirth axis, the solution positions are rounded off to the nearest position of rest of the Hirth joint. For Hirth jointed rotary axes, you can read the differences between the axis positions for the exact solutions and those of the solutions adapted to the Hirth incrementing in the $P_ORI_DIFF system variable.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"7\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e$P_ORI_DIFF\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e[\u0026lt;n\u0026gt;, \u0026lt;m\u0026gt;]\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e$P_ORI_DIFF\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eReturns the difference between the exact positions of the orientation axes and those provided in $P_ORI_POS that result from the orientation programming.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;n\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIndex of the solution \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0, 1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;m\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIndex of the orientation axis\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0 ... 2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe order of the orientation axes (1 ... 3) refers to the definition of the axes in $NT_ROT_AX_NAME.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe content can only be not equal to zero when the positions are incremented (Hirth joint), i.e. when the system data $NT_HIRTH_INCR of the relevant axis is not equal to zero and when this axis is a manual rotary axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"26\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e$P_ORI_SOL\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e$P_ORI_SOL\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIf for an orientation transformation with more than one orientation axis, the axis angles are calculated that should result in a specified orientation, there is generally more than one solution. The $P_ORI_SOL system variables contain the number of valid solutions together with additional status information.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe content of $P_ORI_SOL is coded as follows:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"10\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026lt; 0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eGeneral error states\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNo solutions have been calculated yet for the active transformation (missing call of ORISOLH).\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eA transformation is not active, or the active transformation is not an orientation transformation (6-axis transformation) that can provide positions for a specified orientation programming.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe desired orientation cannot be set with the present kinematics.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNo solution was found when the ORISOLH function was called in the \"Direct tool alignment\" mode.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAngle γ is too large when the ORISOLH function was called in the \"Direct tool alignment\" mode.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAn angle was specified when the ORISOLH function was called in the \"Direct tool alignment\" mode that cannot be set because of the Hirth joint.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first orientation axis (frame axis) must not be parameterized as Hirth axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe second as well as the third rotary axis has been parameterized as Hirth axis. Only one of the two axes can be the Hirth axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNo adaptation of the solution(s) to the Hirth joint has been found.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eUnit position\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNumber of mathematically possible solutions without consideration of axis limits and any error conditions.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere is no solution, i.e. the requested orientation cannot be set.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere can be three different causes for this case:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIn principle, the requested orientation cannot be achieved because of the machine kinematics (orientation axes not arranged at right angles) even with an arbitrary traversing range of the orientation axes. In this case, the tens and hundreds positions of $P_ORI_SOL are both zero, the $P_ORI_STAT status variables assigned to the orientation axis have the value \"-4\".\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe calculated solutions cannot be achieved because they would violate the axis limits. The positions of the orientation axes that would result without the axis limits, can be read in $P_ORI_POS.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAxis positions were specified when the ORISOLH function was called in the \"Direct tool alignment\" mode which would result in either the orientation vector or the orientation normal vector of the tool being aligned parallel to the first orientation axis, whose position is to be calculated. The position of this axis is not defined in these cases.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere is a solution.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere can be three different causes for this case:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eBased on the specified orientation and the machine kinematics, there is only one solution (from the mathematical point of view, two coinciding solutions) even without consideration of the axis limits. This case occurs at the edge of the orientation range for kinematics that are not at right angles. $P_ORI_POS contains both (identical) solutions.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThere is only one solution because a second solution is invalid due to the violated axis limits. The valid solution is always the first solution in $P_ORI_POS. The second solution which would result when the axis limits are not taken into account, can also be read in $P_ORI_POS.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThis is the normal case when the ORISOLH function is called in the \"Direct tool alignment\" mode. For the specified axis positions of two orientation axes, there is generally only one valid position for the missing orientation axis to be calculated.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere are two solutions.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere are an infinite number of solutions, i.e. the position of an orientation axis (the polar axis) is arbitrary. However, from the two possible positions of the other axes, one is excludes because of the violated axis limits.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThere are an infinite number of solutions, i.e. the position of an orientation axis (the polar axis) is indefinite. The indefinite axis can be determined from the hundreds position or from the $P_ORI_STAT system variable.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eTens position\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit-coded display for violated axis limits. The precise cause of the error can be determined from the $P_ORI_STAT system variable.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 0 (value 10):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFor at least one solution, at least one axis limit of the first orientation axis is violated.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 1 (value 20):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFor at least one solution, at least one axis limit of the second orientation axis is violated.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 2 (value 40):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFor at least one solution, at least one axis limit of the third orientation axis is violated.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHundreds position\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit-coded display for non-defined axis positions (can only occur when there is an infinite number of solutions, i.e. when the unit position is equal to \"9\").\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 0 (value 100):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe position of the first orientation axis is not defined.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 1 (value 200):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe position of the second orientation axis is not defined.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 2 (value 400):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe position of the third orientation axis is not defined.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe designations first, second and third orientation axis refer to the definition of the axes in $NT_ROT_AX_NAME.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"25\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e$P_ORI_STAT\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e[\u0026lt;n\u0026gt;]\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e$P_ORI_STAT\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eReturns the status for each of the maximum three orientation axes after ORISOLH has been called.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;n\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIndex of the orientation axis\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e(correspnds to the index of the relevant orientation axis in $NT_ROT_AX_NAME)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0 ... 2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe order of the orientation axes (1 ... 3) refers to the definition of the axes in $NT_ROT_AX_NAME.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe content of $P_ORI_STAT is coded as follows:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"11\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026lt; 0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eGeneral error states\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe status is not defined (missing call of ORISOLH).\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eA transformation is not active, or the active transformation is not an orientation transformation (6-axis transformation) that can provide positions for a specified orientation programming.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe axis is not included in the active transformation.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe position of the axis cannot be calculated because the requested orientation cannot be achieved with the present kinematics even with an arbitrary assumed traversing range of the axis. \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAxis positions were specified when the ORISOLH function was called in the \"Direct tool alignment\" mode which would result in either the orientation vector or the orientation normal vector of the tool being aligned parallel to the first orientation axis, whose position is to be calculated. The position of this axis is not defined in these cases.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAngle γ is too large when the ORISOLH function was called in the \"Direct tool alignment\" mode.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAn angle was specified when the ORISOLH function was called in the \"Direct tool alignment\" mode that cannot be set because of the Hirth joint.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first orientation axis (frame axis) must not be parameterized as Hirth axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe second as well as the third rotary axis has been parameterized as Hirth axis. Only one of the two axes can be the Hirth axis.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_r floating-text\"\u003e\u003cspan\u003e-10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNo adaptation of the solution(s) to the Hirth joint has been found.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eUnit position\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit-coded display for violated axis limits of the first solution. \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 0 (value 1):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first solution violates the lower axis limit. \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 1 (value 2):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe first solution violates the upper axis limit.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eTens position\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit-coded display for violated axis limits of the second solution.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 0 (value 10):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe second solution violates the lower axis limit.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 1 (value 20):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe second solution violates the upper axis limit.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" rowspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eValues \u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHundreds position\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDisplay of a non-defined axis position.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eBit 0 (value 100):\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe position of the orientation axis is not defined, i.e. the requested orientation is achieved with each arbitrary setting of the rotary axis (polar position). This information is also contained in the $P_ORI_SOL system variable.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOf the error numbers that indicate a violation of the axis limits, several can occur simultaneously. When an axis limit is violated, an attempt is made to reach a position within the permissible axis limits by adding or subtracting multiples of 360°. If this is not possible, it is not clearly defined whether the lower or the upper axis limit has been violated.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIf there is no solution for the requested orientation ($P_ORI_SOL = 0), the status of the orientation axes in the transformation is \"0\".\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003e$NT_ROT_AX_NAME $NT_ROT_AX_NAME\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis system variable refers to a maximum of three axes used for setting the orientation. It contains the names of the chain elements ($NK_NAME) that define the machine axes (rotary axes) that must perform the orientation movements resulting from a kinematic transformation. The order in which the maximum three rotary axes are contained in this system variable is irrelevant for the machine kinematics because this is derived from the structure of the kinematic chains. However, as it defines the order in which other variables access the rotary axes, the order of the orientation axes in $NT_ROT_AX_NAME must match the kinematic description.  \u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eStatus information\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe status information that shows, for example, that an orientation cannot be achieved or can only be achieved when relevant axis limits are violated, does not trigger an NC alarm. It is the responsibility of the user to react suitably to the specified conditions.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}