﻿topicarray["fec405be0603c78c5bf98a39fb8e34e9"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eSubprogram with call-by-value parameter transfer (PROC)\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eA subprogram with call-by-value parameter transfer is defined using the \u003c/span\u003e\u003cspan class=\"code\"\u003ePROC\u003c/span\u003e\u003cspan\u003e keyword followed by the name of the program and a complete list of all the parameters with their type and name. The definition operation must appear in the first program line.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eCall-by-value \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe calling program transfers only the value of a variable to the subprogram on a call-by-value parameter transfer. Thus the subprogram is not given direct access to the variable. In this way, only the value visible in the subprogram is modified when the parameter value is changed. The value of the variables defined in the calling program remains unchanged. As a consequence, the call-by-value parameter transfer does not affect the calling program.\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/791664011_DV_resource.Stream@PNG-en-US..png\" docVersionId=\"112620348811\" language=\"en-US\" class=\"img_free\" id=\"112620348811_fec405be0603c78c5bf98a39fb8e34e9_791664011_DV_resource\" width=\"242\" /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSyntax\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p floating-text p-code\"\u003e\u003cspan\u003ePROC \u0026lt;program name\u0026gt; (\u0026lt;parameter type\u0026gt; \u0026lt;parameter name\u0026gt;=\u0026lt;init_value\u0026gt;, ...)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eUp to 127 parameters can be transferred.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"31.7%\" /\u003e\u003ccol width=\"68.2%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePROC\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDefinition operation at the beginning of a program\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;program name\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eName of the program\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;parameter type\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData type of the parameter (e.g. REAL, INT, BOOL)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;parameter name\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eName of the parameter\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;init_value\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOptional value for the initialization of the parameter (\u003c/span\u003e\u003cspan class=\"b\"\u003eoptional\u003c/span\u003e\u003cspan\u003e)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eIf no parameter is specified when calling the subprogram, the parameter is assigned the initialization value.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExamples\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eExample 1\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eDefinition of a subprogram SUB_PROG with three parameters of type REAL with default values:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"copy-code-pre-link-container\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eProgram code\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003ca href=\"#\" class=\"copy-code-link\" onclick=\"TopicContent_CopyProgramCode(this, \u0027Your browser does not support access to the clipboard.  Please copy the text from here.\u0027); return false;\" title=\"Copies the following program code to clipboard.\"\u003e\u003ci class=\"copy-code-icon-container\" /\u003e\u003c/a\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePROC SUB_PROG(REAL LENGTH=10.0, REAL WIDTH=20.0, REAL HIGHT=30.0)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eExample 2\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eVarious call versions\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"copy-code-pre-link-container\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eProgram code\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003ca href=\"#\" class=\"copy-code-link\" onclick=\"TopicContent_CopyProgramCode(this, \u0027Your browser does not support access to the clipboard.  Please copy the text from here.\u0027); return false;\" title=\"Copies the following program code to clipboard.\"\u003e\u003ci class=\"copy-code-icon-container\" /\u003e\u003c/a\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePROC MAIN_PROG\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  REAL PAR_1 = 100\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  REAL PAR_2 = 200\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  REAL PAR_3 = 300\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  ; Call variants\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  SUB_PROG\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  SUB_PROG(PAR_1, PAR_2, PAR_3)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  SUB_PROG(PAR_1)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  SUB_PROG(PAR_1, , PAR_3)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e  SUB_PROG( , , PAR_3)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN100 RET\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"header-object block-title-top expandable-container\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSee also\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk03343cf6307f3384d09f95ba207e9e97\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"03343cf6307f3384d09f95ba207e9e97\" data-targettype=\"\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"03343cf6307f3384d09f95ba207e9e97\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eSubprogram call with parameter transfer (EXTERN)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}