﻿topicarray["e64d773490bc77ac3e3b72074bf5ec80"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eRedefinition of system data, user data, and NC commands (REDEF)\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003eREDEF\u003c/span\u003e\u003cspan\u003e command changes the attributes of system data, user data, and NC commands. A fundamental condition of redefinition is that it has to post-date the corresponding definition.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMultiple attributes cannot be changed simultaneously during redefinition. A separate \u003c/span\u003e\u003cspan class=\"code\"\u003eREDEF\u003c/span\u003e\u003cspan\u003e command must be programmed for each attribute to be changed. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf several concurrent attribute changes are programmed, the last change is always active.\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eREDEF\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eResetting attribute values\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe attributes for access rights and initialization time change with \u003c/span\u003e\u003cspan class=\"code\"\u003eREDEF\u003c/span\u003e\u003cspan\u003e can be reset to their default values by reprogramming \u003c/span\u003e\u003cspan class=\"code\"\u003eREDEF\u003c/span\u003e\u003cspan\u003e, followed by the name of the variable or the NC language command:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAccess rights: Protection level 7\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eInitialization time: No initialization or retention of the current value\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eRedefinable attributes\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chka29128ea-ec5b-41dd-b923-990acad997969757b1ac5fe4fb55ae094d22eb204684\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"9757b1ac5fe4fb55ae094d22eb204684\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"9757b1ac5fe4fb55ae094d22eb204684\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eOverview of definable and redefinable attributes\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chka29128ea-ec5b-41dd-b923-990acad997969757b1ac5fe4fb55ae094d22eb204684\" data-id=\"hs_chka29128ea-ec5b-41dd-b923-990acad997969757b1ac5fe4fb55ae094d22eb204684\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chka29128ea-ec5b-41dd-b923-990acad997969757b1ac5fe4fb55ae094d22eb204684\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eLocal user variables (PUD/LUD)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eRedefinitions are not permitted for local user variables (PUD/LUD).\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSyntax\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;PP_stop\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;phys_unit\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;limit_values\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;access_rights\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;init_time\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;init_time\u0026gt; \u0026lt;init_value\u0026gt; \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt; \u0026lt;data class\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF \u0026lt;name\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"38.3%\" /\u003e\u003ccol width=\"17.9%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"9.1%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"29.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eREDEF\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCommand for redefinition of a certain attribute or to reset the \"Access rights\" and/or \"Initialization time\" attributes of system variables, user variables and NC language commands\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;name\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eName of an already defined variable or an NC language command\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;PP stop\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePreprocessing stop\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eSYNR\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePreprocessing stop when reading\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eSYNW\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePreprocessing stop when writing\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eSYNRW\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePreprocessing stop when reading/writing\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;phys_unit\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePhysical unit\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePHU \u003c/span\u003e\u003cspan\u003e\u0026lt;unit\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePhysical unit\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk0aaec972-5f38-4731-923f-1583e999d64986891bc896e82038872e742021735e70\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"86891bc896e82038872e742021735e70\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"86891bc896e82038872e742021735e70\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAttribute: Physical unit (PHU)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eNote\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eCannot be redefined for: \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eSystem variables\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eGlobal user data (GUD) of the data types: \u003c/span\u003e\u003cspan class=\"code\"\u003eBOOL\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eAXIS\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eSTRING\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eFRAME\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;limit values\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eLower/upper limit\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eLLI \u003c/span\u003e\u003cspan\u003e\u0026lt;limit value\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eLower limit value (lower limit)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eULI \u003c/span\u003e\u003cspan\u003e\u0026lt;limit value\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eUpper limit value (upper limit)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk8616ec40-e2b9-4c30-b10a-36bce9ae0154ee71ab723fcec61d0908a4dc8ff28a87\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"ee71ab723fcec61d0908a4dc8ff28a87\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"ee71ab723fcec61d0908a4dc8ff28a87\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAttribute: Limit values (LLI, ULI)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eNote\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eCannot be redefined for: \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eSystem variables\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eGlobal user data (GUD) of the data types: \u003c/span\u003e\u003cspan class=\"code\"\u003eBOOL\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eAXIS\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eSTRING\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eFRAME\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"8\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;access rights\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAccess rights for reading/writing via part program or OPI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eAPX \u003c/span\u003e\u003cspan\u003e\u0026lt;protection level\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eExecute: NC language element\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eAPRP \u003c/span\u003e\u003cspan\u003e\u0026lt;protection level\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRead: Part program\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eAPWP \u003c/span\u003e\u003cspan\u003e\u0026lt;protection level\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eWrite: Part program\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eAPRB \u003c/span\u003e\u003cspan\u003e\u0026lt;protection level\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRead: OPI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eAPWB \u003c/span\u003e\u003cspan\u003e\u0026lt;protection level\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eWrite: OPI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026lt;protection level\u0026gt;:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRange of values: 0 ... 7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk931ca19c-daa0-450b-b354-a18cbc3f700b4b6f41ad397124c52d39b8288e41a9c7\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"4b6f41ad397124c52d39b8288e41a9c7\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"4b6f41ad397124c52d39b8288e41a9c7\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAttribute: Access rights (APR, APW, APRP, APWP, APRB, APWB)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;init_time\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePoint in time at which the variable is reinitialized\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eINIPO\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePower On\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eINIRE\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eEnd of main program, NC reset or Power On\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eINICF\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNEWCONF or main program end, NC reset or Power On\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePRLOC\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eEnd of main program, NC reset following local change or Power On\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk77bbf379-0b24-4ac2-9ccf-7d002187fc6b7b383b7190fc1b9f222eee9e9a97f34e\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"7b383b7190fc1b9f222eee9e9a97f34e\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"7b383b7190fc1b9f222eee9e9a97f34e\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAttribute: Initialization value\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;init_value\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eInitialization value \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eWhen redefining the initialization value, an initialization time always has to be specified also (see \u0026lt;init_time\u0026gt;).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk41cba9e4-6ddf-434c-b475-614d2d2b49e57b383b7190fc1b9f222eee9e9a97f34e\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"7b383b7190fc1b9f222eee9e9a97f34e\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"7b383b7190fc1b9f222eee9e9a97f34e\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAttribute: Initialization value\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFor the Initialization of array variables, see \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkb8835764-7023-48c1-abf0-e0304fc436ee2c0218f8320dc2ea0cb53fb4bcffefc0\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"2c0218f8320dc2ea0cb53fb4bcffefc0\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"2c0218f8320dc2ea0cb53fb4bcffefc0\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eDefinition and initialization of array variables (DEF, SET, REP)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eNote\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eCannot be redefined for system variables, except setting data.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd rowspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003e\u0026lt;data class\u0026gt;\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData class assignment (only SINUMERIK 828D)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eDCM\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData class M (= Manufacturer)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eDCI\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData class I (= Individual)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eDCU\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData class U (= User)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSee \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk38a92b0f-f9c9-4a80-3df5-7a8048b31520f57c3fb88fdb3ff8a3783b74254eb596\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"f57c3fb88fdb3ff8a3783b74254eb596\" data-targettype=\"TOPIC\" data-targetdocument=\"1514ff19ecccc486dbf4ce45a4b47ba8\" data-targetdetail=\"f57c3fb88fdb3ff8a3783b74254eb596\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAttribute: Data class (DCM, DCI, DCU) - only SINUMERIK 828D\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExample\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eRedefinitions of system variable $TC_DPCx in the data block for machine manufacturers\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_listing\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"50.0%\" /\u003e\u003ccol width=\"50.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"copy-code-pre-link-container\"\u003e\u003cdiv class=\"p floating-text p-table-lb-code\"\u003e\u003cspan\u003eProgram code\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003ca href=\"#\" class=\"copy-code-link\" onclick=\"TopicContent_CopyProgramCode(this, \u0027Your browser does not support access to the clipboard.  Please copy the text from here.\u0027); return false;\" title=\"Copies the following program code to clipboard.\"\u003e\u003ci class=\"copy-code-icon-container\" /\u003e\u003c/a\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e%_N_MGUD_DEF\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; GUD block: Machine manufacturer\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN100 REDEF $TC_DPC1 APWB 2 APWP 3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN200 REDEF $TC_DPC2 PHU 21\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN300 REDEF $TC_DPC3 LLI 0 ULI 200\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN400 REDEF $TC_DPC4 INIPO (100, 101, 102, 103)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN800 REDEF $TC_DPC1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN900 REDEF $TC_DPC4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eM30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"10.0%\" /\u003e\u003ccol width=\"90.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eregarding N100:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eWrite access: OPI = protection level 2, part program = protection level 3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eregarding N200:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePhysical unit [ % ]\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eregarding N300:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eLower limit value = 0, upper limit value = 200\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eregarding N400:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe array variable is initialized with the four values at POWER ON.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eregarding N800 / N900\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eReset of the \"Access rights\" and/or \"Initialization time\" attribute values\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eUse of ACCESS files \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf ACCESS files are used, the redefinition of access rights has to be relocated from _N_MGUD_DEF to _N_MACCESS_DEF.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSupplementary conditions\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eGranularity\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eA redefinition is always applied to the entire variable which is uniquely identified by its name. Array variables do not, for example, support the assignment of different attributes to individual array elements.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}