﻿topicarray["d01f8cd86a409a877236beed32b2e7d7"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003ePolynomial interpolation (POLY, POLYPATH, PO, PL)\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIt actually involves a polynomial interpolation (\u003c/span\u003e\u003cspan class=\"code\"\u003ePOLY\u003c/span\u003e\u003cspan\u003e) and not a spline interpolation type. Its main purpose is to act as an interface for programming externally generated spline curves where the spline sections can be programmed directly. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis mode of interpolation relieves the NC of the task of calculating polynomial coefficients. It can be optimally applied in cases where the coefficients are supplied directly by a CAD system or post processor. \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePOLYPATH\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePO\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePL\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003efor polynomial interpolation\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePOLY\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePolynomial interpolation\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSyntax\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e3rd degree polynomial:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-code\"\u003e\u003cspan\u003ePOLY PO[X]=(xe,a2,a3) PO[Y]=(ye,b2,b3) PO[Z]=(ze,c2,c3) PL=n\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e5th degree polynomial and new polynomial syntax:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-code\"\u003e\u003cspan\u003ePOLY X=PO(xe,a2,a3,a4,a5) Y=PO(ye,b2,b3,b4,b5) Z=PO(ze,c2,c3,c4,c5) PL=n\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-code\"\u003e\u003cspan\u003ePOLYPATH(\"AXES\",\"VECT\")\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe sum of the polynomial coefficients and axes programmed in an NC block must not exceed the maximum permitted number of axes per block.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"49.2%\" /\u003e\u003ccol width=\"50.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePOLY\u003c/span\u003e\u003cspan\u003e :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eActivation of polynomial interpolation with a block containing POLY.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePOLYPATH\u003c/span\u003e\u003cspan\u003e :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePolynomial interpolation can be selected for both AXIS or VECT axis groups\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePO[axis identifier/variable]\u003c/span\u003e\u003cspan\u003e :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eEnd points and polynomial coefficients\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003eX, Y, Z\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAxis identifier\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003exe, ye, ze \u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSpecification of end position for the particular axis; value range as for path dimension\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ea2, a3, a4, a5\u003c/span\u003e\u003cspan\u003e :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe coefficients a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e, a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e3\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e, a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e4\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e, and a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e5\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e are written with their value; value range as for path dimension. The last coefficient in each case can be omitted if it equals zero.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"code\"\u003ePL\u003c/span\u003e\u003cspan\u003e :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eLength of the parameter interval where polynomials are defined (definition range of the function f(p)).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eThe interval always starts at 0, p can assume values from 0 to PL.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eTheoretical value range for PL:\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e0.0001 … 99 999.9999\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan class=\"b\"\u003eNote:\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003eThe PL value applies to the block in which it is located. If no PL is programmed, then PL=1 is applied.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eActivating/deactivating polynomial interpolation\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe polynomial interpolation is activated in the part program using the \u003c/span\u003e\u003cspan class=\"code\"\u003ePOLX\u003c/span\u003e\u003cspan\u003e G command. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003ePOLY\u003c/span\u003e\u003cspan\u003e G command together with \u003c/span\u003e\u003cspan class=\"code\"\u003eG0\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eG1\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eG2\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eG3\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eASPLINE\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eBSPLINE \u003c/span\u003e\u003cspan\u003eand \u003c/span\u003e\u003cspan class=\"code\"\u003eCSPLINE\u003c/span\u003e\u003cspan\u003e belong to the 1st group.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAxes, which are only programmed with name and end point (e.g. \u003c/span\u003e\u003cspan class=\"code\"\u003eX10\u003c/span\u003e\u003cspan\u003e), are linearly moved. If all axes of an NC block are programmed in this way, the control behaves the same as for G1.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe polynomial interpolation is implicitly deactivated again by programming another command of the 1st G group \u003c/span\u003e\u003cspan class=\"code\"\u003eG0\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eG1\u003c/span\u003e\u003cspan\u003e).\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ePolynomial coefficient\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003ePO\u003c/span\u003e\u003cspan\u003e value\u003c/span\u003e\u003cspan class=\"code\"\u003e (PO[]=) \u003c/span\u003e\u003cspan\u003eor\u003c/span\u003e\u003cspan class=\"code\"\u003e ...=PO(...) \u003c/span\u003e\u003cspan\u003especifies all polynomial coefficients for an axis. Several values are specified, separated by commas corresponding the degree of the polynomial. Different degrees of polynomials are possible for various axes within one block.   \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePolynomial coefficient\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ePOLYPATH subprogram\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eUsing \u003c/span\u003e\u003cspan class=\"code\"\u003ePOLYPATH(\u003c/span\u003e\u003cspan\u003e...\u003c/span\u003e\u003cspan class=\"code\"\u003e)\u003c/span\u003e\u003cspan\u003e, the polynomial interpolation can be selectively released for certain axis groups:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"60.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOnly path axes and supplementary axes:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003ePOLYPATH(\"AXES\")\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOnly orientation axes:\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e(when moving with orientation transformation)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003ePOLYPATH(\"VECT\")\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe axes that are not released are linearly moved.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003ePolynomial interpolation is enabled as standard for both axis groups.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003ePolynomial interpolation is deactivated for all axes by programming without the \u003c/span\u003e\u003cspan class=\"code\"\u003ePOLYPATH( )\u003c/span\u003e\u003cspan\u003e parameter.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExample\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_listing\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"58.8%\" /\u003e\u003ccol width=\"41.2%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"copy-code-pre-link-container\"\u003e\u003cdiv class=\"p floating-text p-table-lb-code\"\u003e\u003cspan\u003eProgram code\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003ca href=\"#\" class=\"copy-code-link\" onclick=\"TopicContent_CopyProgramCode(this, \u0027Your browser does not support access to the clipboard.  Please copy the text from here.\u0027); return false;\" title=\"Copies the following program code to clipboard.\"\u003e\u003ci class=\"copy-code-icon-container\" /\u003e\u003c/a\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-lb-code\"\u003e\u003cspan\u003eComment\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN10 G1 X… Y… Z… F600\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN11 POLY PO[X]=(1,2.5,0.7) PO[Y]=(0.3,1,3.2) PL=1.5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; Polynomial interpolation on\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN12 PO[X]=(0,2.5,1.7) PO[Y]=(2.3,1.7) PL=3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e...\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN20 M8 H126 …\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN25 X70 PO[Y]=(9.3,1,7.67) PL=5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; Mixed data for the axes\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN27 PO[X]=(10,2.5) PO[Y]=(2.3)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; No PL programmed; PL=1 applies\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN30 G1 X… Y… Z.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; Polynomial interpolation off\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e…\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExample: New polynomial syntax\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"50.0%\" /\u003e\u003ccol width=\"49.9%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003ePolynomial syntax that is still valid\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eNew polynomial syntax\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[axis identifier]=(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eAxis identifier=PO(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[PHI]=(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePHI=PO(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[PSI]=(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePSI=PO(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[THT]=(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eTHT=PO(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[]=(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[variable]=IC(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003evariable=PO IC(.. , ..)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExample: Curve in the X/Y plane.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eProgramming\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_listing\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"64.3%\" /\u003e\u003ccol width=\"35.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"copy-code-pre-link-container\"\u003e\u003cdiv class=\"p floating-text p-table-lb-code\"\u003e\u003cspan\u003eProgram code\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003ca href=\"#\" class=\"copy-code-link\" onclick=\"TopicContent_CopyProgramCode(this, \u0027Your browser does not support access to the clipboard.  Please copy the text from here.\u0027); return false;\" title=\"Copies the following program code to clipboard.\"\u003e\u003ci class=\"copy-code-icon-container\" /\u003e\u003c/a\u003e\u003c/th\u003e\u003cth class=\"default_Cell empty\"\u003e​\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN9 X0 Y0 G90 F100\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eN10 POLY PO[Y]=(2) PO[X]=(4,0.25) PL=4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eShape of the curves X(p) and Y(p)\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/792509963_DV_resource.Stream@PNG-en-US..png\" docVersionId=\"112620348811\" language=\"en-US\" class=\"img_free\" id=\"112620348811_d01f8cd86a409a877236beed32b2e7d7_792509963_DV_resource\" width=\"242\" /\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eShape of the curve in the XY plane\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/792540299_DV_resource.Stream@PNG-en-US..png\" docVersionId=\"112620348811\" language=\"en-US\" class=\"img_free\" id=\"112620348811_d01f8cd86a409a877236beed32b2e7d7_792540299_DV_resource\" width=\"242\" /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eDescription\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe equation to express the polynomial function is generally as follows:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"6.8%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"87.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ef(p)= a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e0\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e + a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep + a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e + . . . + a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003en\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003en\u003c/sup\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ewith:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ea\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003ei\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e: constant coefficients (i = 0, 1, ..., n)\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003ep: Parameter\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn the control, polynomials up to a maximum of the 5th degree can be programmed:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"93.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ef(p)= a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e0 \u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e+ a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep + a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2 \u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e+ a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e3\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e3 \u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e+ a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e4\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e4 \u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e+ a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e5\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e5\u003c/sup\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBy assigning concrete values to these coefficients, it is possible to generate various curve shapes such as line, parabola and power functions.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eA straight line is generated with a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e3\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e4\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e5\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = 0:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"93.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ef(p) = a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e0\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e + a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003ep\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following still applies:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"93.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ea\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e0: \u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e Axis position at the end of the preceding block\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ep = PL\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ea\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = (x\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003eE \u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e- a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e0 \u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e- a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e*p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2 \u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e- a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e3\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e*p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e3\u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e)/p\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIt is possible to program polynomials \u003c/span\u003e\u003cspan class=\"b\"\u003ewithout\u003c/span\u003e\u003cspan\u003e the polynomial interpolation having been activated using the G command \u003c/span\u003e\u003cspan class=\"code\"\u003ePOLY\u003c/span\u003e\u003cspan\u003e. In this case, the programmed polynomials are not interpolated, but instead, all of the programmed end points of the axis are linearly approached (\u003c/span\u003e\u003cspan class=\"code\"\u003eG1\u003c/span\u003e\u003cspan\u003e). The programmed polynomials are only moved as such after explicitly activating polynomial interpolation in the part program (\u003c/span\u003e\u003cspan class=\"code\"\u003ePOLY\u003c/span\u003e\u003cspan\u003e).\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSpecial feature: Denominator polynomial\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eCommand \u003c/span\u003e\u003cspan class=\"code\"\u003ePO[]=(…)\u003c/span\u003e\u003cspan\u003e can be used to program a common denominator polynomial for the geometry axes (without specifying an axis name), i.e. the motion of the geometry axes is then interpolated as the quotient of two polynomials. \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eDenominator polynomial\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eWith this programming option, it is possible to represent shapes such as conics (circle, ellipse, parabola, hyperbola) exactly.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"b\"\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_listing\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"52.1%\" /\u003e\u003ccol width=\"47.9%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"copy-code-pre-link-container\"\u003e\u003cdiv class=\"p floating-text p-table-lb-code\"\u003e\u003cspan\u003eProgram code\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003ca href=\"#\" class=\"copy-code-link\" onclick=\"TopicContent_CopyProgramCode(this, \u0027Your browser does not support access to the clipboard.  Please copy the text from here.\u0027); return false;\" title=\"Copies the following program code to clipboard.\"\u003e\u003ci class=\"copy-code-icon-container\" /\u003e\u003c/a\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-lb-code\"\u003e\u003cspan\u003eComment\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePOLY G90 X10 Y0 F100\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; Geometry axes traverse linearly to position X10 Y0.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePO[X]=(0,–10) PO[Y]=(10) PO[]=(2,1)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e; Geometry axes traverse along the quadrant to X0 Y10.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe constant coefficient (a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e0\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e) of the denominator polynomial is always assumed to be 1. The programmed end point is independent of \u003c/span\u003e\u003cspan class=\"code\"\u003eG90\u003c/span\u003e\u003cspan\u003e / \u003c/span\u003e\u003cspan class=\"code\"\u003eG91\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eX(p) and Y(p) are calculated as follows from the programmed values:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"93.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eX(p) = (10 - 10 * p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e) / (1 + p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eY(p) = 20 * p / (1 + p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003cspan\u003e)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ewith 0 ≤ p ≤ 1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAs a result of the programmed start points, end points, coefficient a\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e and PL=1, the intermediate results are as follows:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"6.1%\" /\u003e\u003ccol width=\"18.1%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"75.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNumerator (X) =\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10 + 0 * p - 10 * p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNumerator (Y) = \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0 + 20 * p + 0 * p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDenominator =\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1 + p\u003c/span\u003e\u003cspan class=\"sup\"\u003e\u003csup\u003e2\u003c/sup\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/9154630155_DV_resource.Stream@PNG-de-DE..png\" docVersionId=\"112620348811\" language=\"en-US\" class=\"img_free\" id=\"112620348811_d01f8cd86a409a877236beed32b2e7d7_9154630155_DV_resource\" width=\"322\" /\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf polynomial interpolation is active and a denominator polynomial is programmed with zeros within the interval \u003c/span\u003e\u003cspan class=\"code\"\u003e[0,PL]\u003c/span\u003e\u003cspan\u003e, this is rejected and an alarm is output. Denominator polynomials have no effect on the motion of special axes.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTool radius compensation can be activated with \u003c/span\u003e\u003cspan class=\"code\"\u003eG41\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eG42\u003c/span\u003e\u003cspan\u003e in conjunction with polynomial interpolation and can be applied in the same way as in linear or circular interpolation modes.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}